---
lang: en
title: 'API docs: apiconnect.apiconnectspecenhancer.modifyspec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/apiconnect
permalink: /doc/en/lb4/apidocs.apiconnect.apiconnectspecenhancer.modifyspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/apiconnect](./apiconnect.md) &gt; [ApiConnectSpecEnhancer](./apiconnect.apiconnectspecenhancer.md) &gt; [modifySpec](./apiconnect.apiconnectspecenhancer.modifyspec.md)

## ApiConnectSpecEnhancer.modifySpec() method

<b>Signature:</b>

```typescript
modifySpec(spec: OpenAPIObject): OpenAPIObject;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | OpenAPIObject |  |

<b>Returns:</b>

OpenAPIObject


